Debian Bug report logs - #627782
fcntl(F_SETFL, O_APPEND) has no effect on aufs filesystem

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Tue, 24 May 2011 13:57:02 UTC

Owned by: debian-live@lists.debian.org

Severity: normal

Found in version linux/3.9.6-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Nikolaus Schulz <microschulz@web.de>:
Bug#627782; Package src:archivemail. (Tue, 24 May 2011 13:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org, Nikolaus Schulz <microschulz@web.de>. (Tue, 24 May 2011 13:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: archivemail: FTBFS: IIOError: CRC check failed 0x1a15fced != 0xe10d79e9L
Date: Tue, 24 May 2011 15:53:29 +0200
Source: archivemail
Version: 0.8.2-1
Severity: serious
Justification: fails to build from source

archivemail FTBFS in unstable:

| make[1]: Entering directory `/build/archivemail-GeuLuZ/archivemail-0.8.2'
| ./test_archivemail
| .....................F.................F.............E.........................................
| ======================================================================
| ERROR: testMixedExisting (__main__.TestMaildir)
| ----------------------------------------------------------------------
| Traceback (most recent call last):
|   File "./test_archivemail", line 1437, in testMixedExisting
|     self.verify()
|   File "./test_archivemail", line 1275, in verify
|     self._verify_archive()
|   File "./test_archivemail", line 1327, in _verify_archive
|     assertEqualContent(archive, self.orig_archive, iszipped)
|   File "./test_archivemail", line 1726, in assertEqualContent
|     assert cmp_fileobj(fp1, fp2)
|   File "./test_archivemail", line 1737, in cmp_fileobj
|     b1 = fp1.read(bufsize)
|   File "/usr/lib/python2.6/gzip.py", line 219, in read
|     self._read(readsize)
|   File "/usr/lib/python2.6/gzip.py", line 267, in _read
|     self._read_eof()
|   File "/usr/lib/python2.6/gzip.py", line 304, in _read_eof
|     hex(self.crc)))
| IOError: CRC check failed 0x1a15fced != 0xe10d79e9L
|
| ======================================================================
| FAIL: archiving an old mailbox with an existing archive
| ----------------------------------------------------------------------
| Traceback (most recent call last):
|   File "./test_archivemail", line 790, in testOldExisting
|     self.verify()
|   File "./test_archivemail", line 663, in verify
|     assertEqualContent(archive_name, self.good_archive, iszipped)
|   File "./test_archivemail", line 1726, in assertEqualContent
|     assert cmp_fileobj(fp1, fp2)
| AssertionError
|
| ======================================================================
| FAIL: archiving an old mailbox uncopressed with an existing archive
| ----------------------------------------------------------------------
| Traceback (most recent call last):
|   File "./test_archivemail", line 1203, in testOldExists
|     self.verify()
|   File "./test_archivemail", line 663, in verify
|     assertEqualContent(archive_name, self.good_archive, iszipped)
|   File "./test_archivemail", line 1731, in assertEqualContent
|     assert filecmp.cmp(firstfile, secondfile, shallow=0)
| AssertionError
|
| ----------------------------------------------------------------------
| Ran 95 tests in 6.602s
|
| FAILED (failures=2, errors=1)

-- 
Jakub Wilk




Added tag(s) unreproducible and moreinfo. Request was from Nikolaus Schulz <microschulz@web.de> to control@bugs.debian.org. (Tue, 24 May 2011 20:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627782; Package src:archivemail. (Tue, 24 May 2011 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nikolaus Schulz <microschulz@web.de>:
Extra info received and forwarded to list. (Tue, 24 May 2011 21:18:03 GMT) Full text and rfc822 format available.

Message #12 received at 627782@bugs.debian.org (full text, mbox):

From: Nikolaus Schulz <microschulz@web.de>
To: Jakub Wilk <jwilk@debian.org>, 627782@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#627782: archivemail: FTBFS: IIOError: CRC check failed 0x1a15fced != 0xe10d79e9L
Date: Tue, 24 May 2011 22:50:34 +0200
tags 627782 + unreproducible moreinfo
thanks

I cannot reproduce this.  What filesystem are you using?

Nikolaus

> archivemail FTBFS in unstable:
> 
> | make[1]: Entering directory `/build/archivemail-GeuLuZ/archivemail-0.8.2'
> | ./test_archivemail
> | .....................F.................F.............E.........................................
> | ======================================================================
> | ERROR: testMixedExisting (__main__.TestMaildir)
> | ----------------------------------------------------------------------
> | Traceback (most recent call last):
> |   File "./test_archivemail", line 1437, in testMixedExisting
> |     self.verify()
> |   File "./test_archivemail", line 1275, in verify
> |     self._verify_archive()
> |   File "./test_archivemail", line 1327, in _verify_archive
> |     assertEqualContent(archive, self.orig_archive, iszipped)
> |   File "./test_archivemail", line 1726, in assertEqualContent
> |     assert cmp_fileobj(fp1, fp2)
> |   File "./test_archivemail", line 1737, in cmp_fileobj
> |     b1 = fp1.read(bufsize)
> |   File "/usr/lib/python2.6/gzip.py", line 219, in read
> |     self._read(readsize)
> |   File "/usr/lib/python2.6/gzip.py", line 267, in _read
> |     self._read_eof()
> |   File "/usr/lib/python2.6/gzip.py", line 304, in _read_eof
> |     hex(self.crc)))
> | IOError: CRC check failed 0x1a15fced != 0xe10d79e9L
> |
> | ======================================================================
> | FAIL: archiving an old mailbox with an existing archive
> | ----------------------------------------------------------------------
> | Traceback (most recent call last):
> |   File "./test_archivemail", line 790, in testOldExisting
> |     self.verify()
> |   File "./test_archivemail", line 663, in verify
> |     assertEqualContent(archive_name, self.good_archive, iszipped)
> |   File "./test_archivemail", line 1726, in assertEqualContent
> |     assert cmp_fileobj(fp1, fp2)
> | AssertionError
> |
> | ======================================================================
> | FAIL: archiving an old mailbox uncopressed with an existing archive
> | ----------------------------------------------------------------------
> | Traceback (most recent call last):
> |   File "./test_archivemail", line 1203, in testOldExists
> |     self.verify()
> |   File "./test_archivemail", line 663, in verify
> |     assertEqualContent(archive_name, self.good_archive, iszipped)
> |   File "./test_archivemail", line 1731, in assertEqualContent
> |     assert filecmp.cmp(firstfile, secondfile, shallow=0)
> | AssertionError
> |
> | ----------------------------------------------------------------------
> | Ran 95 tests in 6.602s
> |
> | FAILED (failures=2, errors=1)




Information forwarded to debian-bugs-dist@lists.debian.org, Nikolaus Schulz <microschulz@web.de>:
Bug#627782; Package src:archivemail. (Tue, 24 May 2011 21:42:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Nikolaus Schulz <microschulz@web.de>. (Tue, 24 May 2011 21:42:28 GMT) Full text and rfc822 format available.

Message #17 received at 627782@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 627782@bugs.debian.org
Subject: Re: Bug#627782: archivemail: FTBFS: IIOError: CRC check failed 0x1a15fced != 0xe10d79e9L
Date: Tue, 24 May 2011 23:38:59 +0200
* Nikolaus Schulz <microschulz@web.de>, 2011-05-24, 22:50:
>I cannot reproduce this.  What filesystem are you using?

/tmp (which is the directory that matters AFAIUI) is on aufs, with 
overlay and underlay both on ext4.

As I can't reproduce the bug if /tmp is on more typical filesystems, 
please feel free to downgrade it.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627782; Package src:archivemail. (Tue, 24 May 2011 22:21:08 GMT) Full text and rfc822 format available.

Message #20 received at 627782@bugs.debian.org (full text, mbox):

From: Nikolaus Schulz <microschulz@web.de>
To: Jakub Wilk <jwilk@debian.org>, 627782@bugs.debian.org
Subject: Re: Bug#627782: archivemail: FTBFS: IIOError: CRC check failed 0x1a15fced != 0xe10d79e9L
Date: Wed, 25 May 2011 00:19:14 +0200
On Tue, May 24, 2011 at 11:38:59PM +0200, Jakub Wilk wrote:
> * Nikolaus Schulz <microschulz@web.de>, 2011-05-24, 22:50:
> >I cannot reproduce this.  What filesystem are you using?
> 
> /tmp (which is the directory that matters AFAIUI) is on aufs, with
> overlay and underlay both on ext4.

Ah, interesting.  I had tested ext4, mounted with nobarrier and delalloc
options, and it was fine.

> As I can't reproduce the bug if /tmp is on more typical filesystems,
> please feel free to downgrade it.

Well, the package has the same version in testing anyway, so there is no
pressure.

Thanks for testing,
Nikolaus




Removed tag(s) moreinfo. Request was from Nikolaus Schulz <microschulz@web.de> to control@bugs.debian.org. (Tue, 24 May 2011 22:24:02 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Serafeim Zanikolas <sez@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 20:06:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627782; Package src:archivemail. (Wed, 08 Jun 2011 22:42:03 GMT) Full text and rfc822 format available.

Message #27 received at 627782@bugs.debian.org (full text, mbox):

From: Nikolaus Schulz <microschulz@web.de>
To: 627782@bugs.debian.org
Cc: 627782-submitter@bugs.debian.org
Subject: Re: Bug#627782: archivemail: FTBFS: IIOError: CRC check failed 0x1a15fced != 0xe10d79e9L
Date: Thu, 9 Jun 2011 00:39:07 +0200
On Tue, May 24, 2011 at 11:38:59PM +0200, Jakub Wilk wrote:
> * Nikolaus Schulz <microschulz@web.de>, 2011-05-24, 22:50:
> >I cannot reproduce this.  What filesystem are you using?
> 
> /tmp (which is the directory that matters AFAIUI) is on aufs, with
> overlay and underlay both on ext4.
> 
> As I can't reproduce the bug if /tmp is on more typical filesystems,
> please feel free to downgrade it.

Hm, I have reproduced this once, but didn't record the precise setup,
and now I fail to reproduce it again. :/  Simply mixing aufs and ext4
doesn't seem to be enough.

Anyway, I highly doubt that archivemail is to blame.  Since what happens
here is, that two files are written, closed, then re-opened and
compared, and the comparison fails.

I think it can be asserted that the same content is written to the two
files; otherwise, the test suite would also fail on other filesystems.

Thus, this very much looks like a bug in the involved filesystem(s).

Although I have to admit that I cannot find any text saying that after
some process has written data to a file and closed it, any process
opening the file afterwards is guaranteed to see all of this data in the
file. :)

Nikolaus




Message sent on to Jakub Wilk <jwilk@debian.org>:
Bug#627782. (Wed, 08 Jun 2011 23:18:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#627782; Package src:archivemail. (Thu, 23 Jun 2011 22:12:03 GMT) Full text and rfc822 format available.

Message #33 received at 627782@bugs.debian.org (full text, mbox):

From: Nikolaus Schulz <microschulz@web.de>
To: 627782@bugs.debian.org
Cc: control@bugs.debian.org
Subject: fcntl(F_SETFL, O_APPEND) has no effect on aufs filesystem
Date: Fri, 24 Jun 2011 00:08:33 +0200
[Message part 1 (text/plain, inline)]
tags 627782 - unreproducible
reassign 627782 linux-2.6 2.6.39-2
retitle 627782 fcntl(F_SETFL, O_APPEND) has no effect on aufs filesystem
thanks

If a file is opened for writing without the O_APPEND flag, adding that
flag later via the fcntl() system call succeeds, but is a no-op.

Opening a file with the O_APPEND flag works as expected.

This is reproducible with aufs on ext4 using the attached test program.

Thanks,
Nikolaus
[setfl-append.c (text/x-csrc, attachment)]

Removed tag(s) unreproducible. Request was from Nikolaus Schulz <microschulz@web.de> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:12:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:archivemail' to 'linux-2.6'. Request was from Nikolaus Schulz <microschulz@web.de> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:12:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions archivemail/0.8.2-1. Request was from Nikolaus Schulz <microschulz@web.de> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:12:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.39-2. Request was from Nikolaus Schulz <microschulz@web.de> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:12:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'fcntl(F_SETFL, O_APPEND) has no effect on aufs filesystem' from 'archivemail: FTBFS: IIOError: CRC check failed 0x1a15fced != 0xe10d79e9L' Request was from Nikolaus Schulz <microschulz@web.de> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:12:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627782; Package linux-2.6. (Thu, 23 Jun 2011 22:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 23 Jun 2011 22:45:07 GMT) Full text and rfc822 format available.

Message #48 received at 627782@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627782-submitter@bugs.debian.org
Cc: debian-live@lists.debian.org, 627782@bugs.debian.org
Subject: Re: Processed: fcntl(F_SETFL, O_APPEND) has no effect on aufs filesystem
Date: Thu, 23 Jun 2011 23:41:20 +0100
[Message part 1 (text/plain, inline)]
aufs is supported by the Debian Live team, for use within the Debian
Live system only.

Ben.

-- 
Ben Hutchings
The two most common things in the universe are hydrogen and stupidity.
[signature.asc (application/pgp-signature, inline)]

Owner recorded as debian-live@lists.debian.org. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 23 Jun 2011 22:45:13 GMT) Full text and rfc822 format available.

Message sent on to Jakub Wilk <jwilk@debian.org>:
Bug#627782. (Thu, 23 Jun 2011 22:45:16 GMT) Full text and rfc822 format available.

Reply sent to Moritz Mühlenhoff <jmm@inutil.org>:
You have taken responsibility. (Mon, 24 Jun 2013 20:06:18 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Mon, 24 Jun 2013 20:06:18 GMT) Full text and rfc822 format available.

Message #58 received at 627782-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 627612-done@bugs.debian.org, 627782-done@bugs.debian.org, 627933-done@bugs.debian.org, 628028-done@bugs.debian.org, 628085-done@bugs.debian.org, 628641-done@bugs.debian.org, 628650-done@bugs.debian.org, 628750-done@bugs.debian.org
Subject: Closing
Date: Mon, 24 Jun 2013 22:04:34 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug reopened Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 27 Jun 2013 20:03:20 GMT) Full text and rfc822 format available.

Bug reassigned from package 'linux-2.6' to 'src:linux'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 27 Jun 2013 20:03:21 GMT) Full text and rfc822 format available.

No longer marked as found in versions 2.6.39-2. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 27 Jun 2013 20:03:22 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.9.6-1. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Thu, 27 Jun 2013 20:03:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:30:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.